Bug 1310102 - systemd-bootchart stops too soon when run as init
systemd-bootchart stops too soon when run as init
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd-bootchart (Show other bugs)
25
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 08:09 EST by Oliver Henshaw
Modified: 2017-12-12 06:05 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:05:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bootchart from Fedora-Live-KDE-x86_64-rawhide-20160218.iso (82.64 KB, image/svg+xml)
2016-02-19 08:09 EST, Oliver Henshaw
no flags Details
"systemd-analyze plot" from Fedora-Live-KDE-x86_64-rawhide-20160218.iso, for context (102.32 KB, image/svg+xml)
2016-02-19 08:10 EST, Oliver Henshaw
no flags Details

  None (edit)
Description Oliver Henshaw 2016-02-19 08:09:53 EST
Created attachment 1128555 [details]
bootchart from Fedora-Live-KDE-x86_64-rawhide-20160218.iso

Description of problem:

I noticed this on F22 but it's still a problem on latest rawhide with the very latest systemd. When I put init=/usr/lib/systemd/systemd-bootchart then look in /run/log, I see that it starts charting activity at around the time the initrd switch-root's to the real root and ends a second later. bootchart.conf is not changed from the default so it should show 20 seconds of activity.


Notes:

* F24 rawhide is tested with Fedora-Live-KDE-x86_64-rawhide-20160218.iso booted in a VM and with "init=/usr/lib/systemd/systemd-bootchart" added at the bootloader screen.

* "systemd-nspawn -D /path/to/directory /usr/lib/systemd/systemd-bootchart" does produce a bootchart that runs the full 20 seconds. I haven't yet tried booting a real system without an initrd, but this looks like a smoking gun to me.

* enabling systemd-bootchart.service does work as it runs for 20 seconds and starting with sysinit.target is early enough for my purposes. But that's obviously not true for every use case.

* systemd-analyze doesn't report initrd time when init=/usr/lib/systemd/systemd-bootchart, it just adds it to kernel time.

* This could be related to https://github.com/systemd/systemd/issues/656 but the svg isn't structurally truncated, just shows less data than expected.


Version-Release number of selected component (if applicable):
systemd-229-2.fc24
systemd-219-27.fc22
Comment 1 Oliver Henshaw 2016-02-19 08:10 EST
Created attachment 1128556 [details]
"systemd-analyze plot" from Fedora-Live-KDE-x86_64-rawhide-20160218.iso, for context
Comment 2 Jan Kurik 2016-02-24 10:45:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Hedayat Vatankhah 2016-12-05 17:41:43 EST
I have a similar issue, and I think I've found the reason: it is probably because your RTC is in local time rather than UTC (or something like this!). 

Check your 'journalctl -b' logs, you'll probably see that the clock suddenly changes when initrd is finished...
Comment 4 Hedayat Vatankhah 2016-12-05 17:52:44 EST
OK, I was wrong. Even when my RTC is in UTC, bootchart doesn't generate correct output. 

Also, when systemd-bootchart is used as init, I see to failed units during initramfs bootup: systemd-journald-audit.socket & systemd-journald-dev-log.socket.
Comment 5 Fedora End Of Life 2017-11-16 14:02:57 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-12-12 06:05:29 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.